Kiwi.js Examples
=============

You are looking at the Kiwi.JS examples repository. Here you will find snippets of code demonstrating various areas.

Kiwi.JS is an Open Source HTML 5 game framework for making mobile and desktop HTML 5 games. Kiwi utilizes a custom built-in WebGL renderer with a Canvas fallback for other devices. 

If you are looking for the Kiwi.JS library itself, then let us direct you to the [Kiwi.JS repository.](https://github.com/gamelab/kiwi.js) 


##Viewing Examples
This repository comes from a desire to have an ever expanding growth of Kiwi.JS examples. Whether they be for the Kiwi.JS Core, Plugins, or Games, all examples are welcome.

To view the examples you will need to have a local web server installed. Feel free to use your own web server, otherwise you can also use grunt web server included in this repo. 

For local web servers browse to the examples folder:
```
examples/index.html
```

To start the included web server, firstly make sure you have [Node.JS](http://nodejs.org/) and [Grunt](http://gruntjs.com/). Then run `npm install` inside the **root** directory (same level as this **README.md** file). Now run `grunt connect` to start the server. You can now access your web server at `http://127.0.0.1:8001`. Browsing to `http://127.0.0.1:8001/examples/index.html` will bring up the examples. 


##Contributing
From long time code enthusiasts to those just starting out, anyone can help contribute if desired. 

- If you find a bug then please report it on [GitHub](https://github.com/gamelab/kiwi-examples/issues/new), post it on the [Forum](http://www.kiwijs.org/forums/), or [send us a message](http://www.kiwijs.org/help/).
- You can also add new examples, fixes, or updates by issuing Pull Requests.
- Created more than just an example? Well feel free to [get in touch](http://www.kiwijs.org/help/). We love hearing from you!


##Bugs
If you discover a bug and find yourself wanting to jump in and help make the world of HTML5 gaming a better, less buggy, place, please add said bug to our issues tracker with as much information as possible, especially source code demonstrating the issue

[https://github.com/gamelab/kiwi-examples/issues/new](https://github.com/gamelab/kiwi-examples/issues/new)


##Where to find us 

- Our [Official Website](http://www.kiwijs.org/documentation/getting-started/)
- Kiwi.JS on [Twitter](http://www.twitter.com/kiwijsengine)  
- Read our [API Documentation](http://api.kiwijs.org/)
- Get in touch on our [Forums](http://kiwijs.org/forums)
- [Contact](http://www.kiwijs.org/help/) us for more information.